Class | Rack::Auth::OpenIDAuth
In: | lib/action_controller/vendor/rack-1.0/rack/auth/openid.rb
Parent: | Rack::Auth::AbstractHandler

A class developed out of the request to use OpenID as an authentication middleware. The request will be sent to the OpenID instance unless the block evaluates to true. For example in rackup, you can use it as such:

      use Rack::Session::Pool
      use Rack::Auth::OpenIDAuth, realm, openid_options do |env|
        env['rack.session'][:authkey] == a_string
      end
      run RackApp

Or simply:

      app = Rack::Auth::OpenIDAuth.new app, realm, openid_options, &auth

### Methods

call new

### Attributes

oid | [R] |

### Public Class methods

new(app, realm, options={}, &auth)

### Public Instance methods

call(env)

[Validate]